Question Impossible d'installer git sur Ubuntu 14.10 [fermé]


Comme le dit le sujet, je ne peux pas installer git. J'ai essayé apt-get update suivi par apt-get upgrade et j'ai aussi essayé apt-get install git-core. Avoir le même problème dans tous les cas, ci-dessous:

ubuntu-14:~ >> apt-get install git
Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following extra packages will be installed:
  git-man liberror-perl
Suggested packages:
  git-daemon-run git-daemon-sysvinit git-doc git-el git-email git-gui gitk gitweb git-arch git-cvs git-mediawiki git-svn
The following NEW packages will be installed:
  git git-man liberror-perl
0 upgraded, 3 newly installed, 0 to remove and 0 not upgraded.
Need to get 3,066 kB/3,087 kB of archives.
After this operation, 24.9 MB of additional disk space will be used.
Do you want to continue? [Y/n] 
WARNING: The following packages cannot be authenticated!
  liberror-perl git-man git
Install these packages without verification? [y/N] y
Err http://us.archive.ubuntu.com/ubuntu/ utopic/main git-man all 1:2.1.0-1
  404  Not Found [IP: 2001:67c:1562::17 80]
Err http://us.archive.ubuntu.com/ubuntu/ utopic/main git i386 1:2.1.0-1
  404  Not Found [IP: 2001:67c:1562::17 80]
E: Failed to fetch http://us.archive.ubuntu.com/ubuntu/pool/main/g/git/git-man_2.1.0-1_all.deb  404  Not Found [IP: 2001:67c:1562::17 80]

E: Failed to fetch http://us.archive.ubuntu.com/ubuntu/pool/main/g/git/git_2.1.0-1_i386.deb  404  Not Found [IP: 2001:67c:1562::17 80]

E: Unable to fetch some archives, maybe run apt-get update or try with --fix-missing?

2
2018-02-15 02:11


origine


essayer apt-get -o Acquire::ForceIPv4=true update puis apt-get -o Acquire::ForceIPv4=true install git. On dirait que ça ne retombe pas sur ipv4 d'ipv6 - plus d'infos ici - unix.stackexchange.com/questions/9940/… - Sir_Scofferoff
14.10 est au-delà de la fin de vie: même si vous corrigez d'autres problèmes, vous ne pourrez rien installer depuis les dépôts d'origine - steeldriver
14.10 est mort depuis longtemps et vous devez mettre à jour une version prise en charge pour obtenir une assistance continue ici. - Thomas Ward♦
Merci pour vos réponses. J'imagine que j'avais l'impression que la libération avait un soutien à long terme. Est-ce que vous proposez que je mette juste à jour sa mise en place? J'apprécierais des conseils pour effectuer la mise à niveau. Merci encore! - M. A. Sridhar


Réponses:


Vous devriez installer git en utilisant apt-get way

sudo apt-get update
sudo apt-get install git

seulement comme c'est recommandé approche.

Au cas où cela ne fonctionne pas alors essayez ceci

sudo apt-get update
sudo apt-get install build-essential libssl-dev libcurl4-gnutls-dev libexpat1-dev gettext unzip

La méthode d'installation ci-dessus consiste à compiler le logiciel à partir de   la source. Cela prend plus de temps et ne sera pas maintenu par votre   gestionnaire de paquets, mais il vous permettra de télécharger la dernière version   et vous donnera un certain contrôle sur les options que vous incluez si vous   souhaite personnaliser.

En guise de travail, tous les référentiels git ont également une autre manière de télécharger tout le contenu sous forme de fichier zip.


2
2018-02-15 02:47